// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlScrolledWindow")]
    pub struct ScrolledWindow(Object<ffi::DzlScrolledWindow, ffi::DzlScrolledWindowClass>) @extends gtk::ScrolledWindow, gtk::Bin, gtk::Container, gtk::Widget, @implements gtk::Buildable;

    match fn {
        type_ => || ffi::dzl_scrolled_window_get_type(),
    }
}

impl ScrolledWindow {}

impl fmt::Display for ScrolledWindow {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("ScrolledWindow")
    }
}
